local mod = ...



-- Building Asset Processor
mod:registerAssetProcessor("models/Performer1.fbx", { DataType = "BUILDING_ASSET_PROCESSOR" })



-- Prefab -----------------------------------------------------------------------------------------------------------
mod:registerAssetId("models/Performer1.fbx/Prefab/Juggler.Part.001", "PREFAB_ENTERTAINMENT_JUGGLER1")
mod:registerAssetId("models/Performer1.fbx/Prefab/Assemblage.Part.001", "PREFAB_ENTERTAINMENT_JUGGLER_ASSEMBLAGE")

mod:registerAssetId("models/Performer1.fbx/Prefab/Juggler.Male.Front", "PREFAB_ENTERTAINMENT_JUGGLER_MALE_FRONT")
mod:registerAssetId("models/Performer1.fbx/Prefab/Juggler.Male.Belt", "PREFAB_ENTERTAINMENT_JUGGLER_MALE_BELT")
mod:registerAssetId("models/Performer1.fbx/Prefab/Juggler.Male.Hat", "PREFAB_ENTERTAINMENT_JUGGLER_MALE_HAT")

mod:registerAssetId("models/Performer1.fbx/Prefab/Juggler.Female.Front", "PREFAB_ENTERTAINMENT_JUGGLER_FEMALE_FRONT")
mod:registerAssetId("models/Performer1.fbx/Prefab/Juggler.Female.Belt", "PREFAB_ENTERTAINMENT_JUGGLER_FEMALE_BELT")
mod:registerAssetId("models/Performer1.fbx/Prefab/Juggler.Female.Hat", "PREFAB_ENTERTAINMENT_JUGGLER_FEMALE_HAT")



-- Manual paths for buyer and seller ---------------------------------------------------------------------------------
mod:registerAssetId("models/Performer1.fbx/Prefab/Juggler.Part.001/PATH_A_1", "PATH_ENTERTAINMENT_JUGGLER1_1")
mod:registerAssetId("models/Performer1.fbx/Prefab/Juggler.Part.001/PATH_A_2", "PATH_ENTERTAINMENT_JUGGLER1_2")
mod:registerAssetId("models/Performer1.fbx/Prefab/Juggler.Part.001/PATH_A_3", "PATH_ENTERTAINMENT_JUGGLER1_3")
mod:registerAssetId("models/Performer1.fbx/Prefab/Juggler.Part.001/PATH_B_1", "PATH_ENTERTAINMENT_JUGGLER2_1")
mod:registerAssetId("models/Performer1.fbx/Prefab/Juggler.Part.001/PATH_C_1", "PATH_ENTERTAINMENT_JUGGLER3_1")

mod:registerPrefabComponent("models/Performer1.fbx/Prefab/Juggler.Part.001", {
    DataType = "COMP_BUILDING_PART",
    PathList = {
        {
            PathType = BUILDING_PATH_TYPE.DEFAULT,
            WayPointList = {
                "PATH_ENTERTAINMENT_JUGGLER1_1",
                "PATH_ENTERTAINMENT_JUGGLER1_2",
                "PATH_ENTERTAINMENT_JUGGLER1_3",
            },
        },
        {
            PathType = BUILDING_PATH_TYPE.PICKUP,
            WayPointList = {
                "PATH_ENTERTAINMENT_JUGGLER2_1",
            },
        },
        {
            PathType = BUILDING_PATH_TYPE.PICKUP,
            WayPointList = {
                "PATH_ENTERTAINMENT_JUGGLER3_1",
            },
        },
    }
})



-- Job: Juggler -------------------------------------------------------------------------------------
mod:registerAsset({
    DataType = "JOB",
    Id = "JOB_ENTERTAINMENT_JUGGLER",
    JobName = "JOB_ENTERTAINMENT_JUGGLER_NAME",
    JobDescription = "JOB_ENTERTAINMENT_JUGGLER_DESC",
    IsLockedByDefault = false,
    DefaultBehavior = "BEHAVIOR_WORK",
    ProductionDelay = 20.0,
    AssetJobProgression = "DEFAULT_JOB_PROGRESSION",
    CharacterSetup = {
        DataType = "CHARACTER_SETUP",
        -- LeftHandObject = {
        -- 	Model = "PREFAB_TOOL_ENVOY_SCROLL_LONG",
        -- 	WorkAttachName = "Scroll_Anchor", 
        -- 	WalkAttachName = "Scroll_Anchor"
        -- },
        FemaleFrontList = {
            "PREFAB_ENTERTAINMENT_JUGGLER_FEMALE_FRONT",
        },
        FemaleHatList = {
            "PREFAB_ENTERTAINMENT_JUGGLER_FEMALE_HAT",
        },
        FemaleBeltList = {
            "PREFAB_ENTERTAINMENT_JUGGLER_FEMALE_BELT",
        },
        MaleFrontList = {
            "PREFAB_ENTERTAINMENT_JUGGLER_MALE_FRONT",
        },
        MaleHatList = {
            "PREFAB_ENTERTAINMENT_JUGGLER_MALE_HAT",
        },
        MaleBeltList = {
            "PREFAB_ENTERTAINMENT_JUGGLER_MALE_BELT",
        },
        WalkAnimation = "WALKING",
        IdleAnimation = "MARKET_TENDER",
    },
})

mod:overrideAsset({
    Id = "NEWCOMER",
    CompatibleJobList = {
        Action = "APPEND",
        "JOB_ENTERTAINMENT_JUGGLER",
    },
})

mod:overrideAsset({
    Id = "SERF",
    CompatibleJobList = {
        Action = "APPEND",
        "JOB_ENTERTAINMENT_JUGGLER",
    },
})

mod:overrideAsset({
    Id = "COMMONER",
    CompatibleJobList = {
        Action = "APPEND",
        "JOB_ENTERTAINMENT_JUGGLER",
    },
})



-- Building Function: Juggler -------------------------------------------------------------------------------------
mod:registerAsset({
    DataType = "BUILDING_FUNCTION_MARKET",
    Id = "BUILDING_FUNCTION_ENTERTAINMENT_JUGGLER",
    Name = "BUILDING_FUNCTION_ENTERTAINMENT_JUGGLER_NAME",
    IsPrivate = false,
    WorkerCapacity = 1,
    RelatedJob = {
        Job = "JOB_ENTERTAINMENT_JUGGLER",
        Behavior = "BEHAVIOR_WORK",
    },
    TypeList = { "ENTERTAINMENT" },
    IsOverrideCapacity = true,
    CapacityPerSlot = 5,
    InputInventoryCapacity = {
    },
    ResourceListNeeded = {
    },
    ResourceProduced = {
        { Resource = "RESOURCE_ENTERTAINMENT", Quantity = 1 },
    },
})



-- Building Part: Juggler's Tent -------------------------------------------------------------------------------------

-- Juggler's Workstation
mod:registerAsset({
    DataType = "BUILDING_PART",
    Id = "BUILDING_PART_ENTERTAINMENT_JUGGLER_SELLER",
    ConstructorData = {
        DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
        CoreObjectPrefab = "PREFAB_ENTERTAINMENT_JUGGLER1",
    },
    AssetBuildingFunction = "BUILDING_FUNCTION_ENTERTAINMENT_JUGGLER",
})

-- Assemblage
mod:registerAsset({
    DataType = "BUILDING_PART",
    Id = "BUILDING_PART_ENTERTAINMENT_JUGGLER_ASSEMBLAGE",
    ConstructorData = {
        DataType = "BUILDING_CONSTRUCTOR_ASSEMBLAGE",
        CoreRandomBuildingPartList = { "PREFAB_ENTERTAINMENT_JUGGLER_ASSEMBLAGE" },
        MandatoryBuildingPartList = {
            { BuildingPart = "BUILDING_PART_ENTERTAINMENT_JUGGLER_SELLER" },
            { BuildingPart = "TENT_RW_SMALL_PART" }, -- from Medieval Faire mod
        },
    },
    Capacity = 2,
    AssetBuildingFunction = "BUILDING_FUNCTION_PUBLIC_LOUNGE_ROOM",
})

-- Final Part
mod:registerAsset({
    DataType = "BUILDING_PART",
    Id = "BUILDING_PART_ENTERTAINMENT_JUGGLER",
    Name = "BUILDING_PART_ENTERTAINMENT_JUGGLER_NAME",
    Description = "BUILDING_PART_ENTERTAINMENT_JUGGLER_DESC",
    ConstructorData = {
        DataType = "BUILDING_CONSTRUCTOR_RANDOM_PART",
        RandomPartList = {
            "BUILDING_PART_ENTERTAINMENT_JUGGLER_ASSEMBLAGE",
        },
        MiniatureConfig = {
            ClipUnderGround = true,
            GroupHeight = 0.0,
            CameraPosition = { -0.15, 1.75, -14 },
            OrientationOffset = -20.0,
            CameraPitchOffset = 0.0
        },
    },
    BuildingZone = {
        ZoneEntryList = {
            {
                Polygon = polygon.createCircle( 2.5, {0.0, 0.0}, 16 ),
                Type = { DEFAULT = true, NAVIGABLE = true, GRASS_CLEAR = true },
            },
        },
    },
    Cost = {
        BuildRightTaxes = {
            { Resource = "GOLD_COINS", Quantity = 10 }
        },
        UpkeepCost = {
            { Resource = "GOLD_COINS", Quantity = 5 }
        },
        ResourceNeededList = {
            {
                { Resource = "WOOLEN_CLOTH", Quantity = 30 },
                { Resource = "TOOL", Quantity = 10 },
            },
        },
    },
})





